/*
** ============================================================================
**
** FILE
**  $Id: dog_lcd.h,v 1.0 2007/08/28 krk Exp apache $
**
** DESCRIPTION
**  Header file for DOG LCD routines
**
** CREATED
**  Integration Hungary Ltd
**
** COPYRIGHT
**  Copyright 2006 Integration Associates Inc.  All rights reserved.
**
** Permission to use, copy, modify, revise, translate, abridge, condense, expand, collect,
** compile, link, recast, distribute, transform or adapt this software is granted only by 
** specific written license from Integration Associates Inc.  Contact Integration Associates 
** at 110 Pioneer Way, Unit L, Mountain View, California 94041, Attention Sales & Marketing, 
** or call (650) 969-4100 for information about obtaining a license.
** 
** Any copy or modification made must satisfy the following conditions:
** 
** 1. Both the copyright notice and this permission notice appear in all copies of the software, 
**    derivative works or modified versions, and any portions thereof, and that both notices 
**    appear in supporting documentation.
** 
** 2. All copies of the software shall contain the following acknowledgement: "Portions of this 
**    software are used under license from Integration Associates Inc. and are copyrighted."
** 
** 3. Neither the name of Integration Associates Inc. nor any of its subsidiaries may be used 
**    to endorse or promote products derived from this software without specific prior written 
**    permission.
** 
** THIS SOFTWARE IS PROVIDED BY "AS IS" AND ALL WARRANTIES OF ANY KIND, INCLUDING THE IMPLIED 
** WARRANTIES OF MERCHANTABILITY AND FITNESS FOR USE, ARE EXPRESSLY DISCLAIMED.  THE DEVELOPER 
** SHALL NOT BE LIABLE FOR ANY DAMAGES WHATSOEVER RESULTING FROM THE USE OF THIS SOFTWARE.  
** THIS SOFTWARE MAY NOT BE USED IN PRODUCTS INTENDED FOR USE IN IMPLANTATION OR OTHER DIRECT 
** LIFE SUPPORT APPLICATIONS WHERE MALFUNCTION MAY RESULT IN THE DIRECT PHYSICAL HARM OR INJURY 
** TO PERSONS.  ALL SUCH IS USE IS EXPRESSLY PROHIBITED.
**   
** ============================================================================
*/

#ifndef IA443X_DEMO_H
#define IA443X_DEMO_H

#include "PIC.h"
#include "pic18_timers.h"
#include "IA443x_rf.h"


                /* ======================================= *
                 *          D E F I N I T I O N S          *
                 * ======================================= */
#define TEST

#define MAX_LENGTH_OF_PAYLOAD		64
#define ACK_TIMEOUT					25000

#define DEMO_RX		0
#define DEMO_TX		1

#define PARAM_DR					0
#define PARAM_FREQ					1
#define PARAM_DID					2

typedef struct _DEMO_PARAMETERS
{
	uint8  freq_number;
	uint8 self_address;
	uint8 destination_address;
	uint8  frequency_band;
	uint16 frequency;
	uint8  datarate;
} DEMO_PARAMETERS;

typedef struct _DEMO_FREQ
{
	uint8 frequency_band;
	uint16 frequency;
	uint16 freq_decimal;
} DEMO_FREQ;

typedef enum _PACKET_TYPE
{
	ACK		= 0,
	PING	= 1,
} PACKET_TYPE;

typedef enum _DEMO_STATES
{
	sDemoInit,
	sDemoStartScreen,
	sDemoDelayAfterScreens,
	sDemoInitRf,
	sDemoDoNothing,
	sDemoSettingScreen,
	sDemoCheckPb,
	sDemoRestartDemo,
	sDemoDelayBeforeTx,
	sDemoStartReceive,
	sDemoWaitForReceive,
	sDemoPacketReceived,
	sDemoRxError,
	sDemoSendPing,
	sDemoWaitForSendPacket,
	sDemoWaitForPacket,
	sDemoPacketSent,
	sDemoTxError,
	sDemoWaitForAck,
	sDemoPrintResult,
#ifdef TEST
	sDemoStartTriggeredPer,
#endif
} DEMO_STATES;



                /* ======================================= *
                 *            V A R I A B L E S            *
                 * ======================================= */

                /* ======================================= *
                 *  F U N C T I O N   P R O T O T Y P E S  *
                 * ======================================= */
void DemoInit(void);
void DemoStateMachine(void);
float CalcPer(uint16 total, uint16 received);
uint8 SetRadio(uint8 data_rate);
uint16 GetFreq(uint8 freq_number);
void GetAntDiversityResult(void);
#endif
