/*
** ============================================================================
**
** FILE
**  $Id: dog_lcd.h,v 1.0 2007/08/28 krk Exp apache $
**
** DESCRIPTION
**  Header file for DOG LCD routines
**
** CREATED
**  Integration Hungary Ltd
**
** COPYRIGHT
**  Copyright 2006 Integration Associates Inc.  All rights reserved.
**
** Permission to use, copy, modify, revise, translate, abridge, condense, expand, collect,
** compile, link, recast, distribute, transform or adapt this software is granted only by 
** specific written license from Integration Associates Inc.  Contact Integration Associates 
** at 110 Pioneer Way, Unit L, Mountain View, California 94041, Attention Sales & Marketing, 
** or call (650) 969-4100 for information about obtaining a license.
** 
** Any copy or modification made must satisfy the following conditions:
** 
** 1. Both the copyright notice and this permission notice appear in all copies of the software, 
**    derivative works or modified versions, and any portions thereof, and that both notices 
**    appear in supporting documentation.
** 
** 2. All copies of the software shall contain the following acknowledgement: "Portions of this 
**    software are used under license from Integration Associates Inc. and are copyrighted."
** 
** 3. Neither the name of Integration Associates Inc. nor any of its subsidiaries may be used 
**    to endorse or promote products derived from this software without specific prior written 
**    permission.
** 
** THIS SOFTWARE IS PROVIDED BY "AS IS" AND ALL WARRANTIES OF ANY KIND, INCLUDING THE IMPLIED 
** WARRANTIES OF MERCHANTABILITY AND FITNESS FOR USE, ARE EXPRESSLY DISCLAIMED.  THE DEVELOPER 
** SHALL NOT BE LIABLE FOR ANY DAMAGES WHATSOEVER RESULTING FROM THE USE OF THIS SOFTWARE.  
** THIS SOFTWARE MAY NOT BE USED IN PRODUCTS INTENDED FOR USE IN IMPLANTATION OR OTHER DIRECT 
** LIFE SUPPORT APPLICATIONS WHERE MALFUNCTION MAY RESULT IN THE DIRECT PHYSICAL HARM OR INJURY 
** TO PERSONS.  ALL SUCH IS USE IS EXPRESSLY PROHIBITED.
**   
** ============================================================================
*/

#ifndef DOG_GLCD_H
#define DOG_GLCD_H

#include "pic.h"


                /* ======================================= *
                 *          D E F I N I T I O N S          *
                 * ======================================= */
#define LCD_RESET_DIR				(TRISB1)
#define LCD_RESET_PIN				(RB1)
#define LCD_NSEL_DIR				(TRISA4)
#define LCD_NSEL_PIN				(RA4)
#define LCD_A0_DIR					(TRISB3)
#define LCD_A0_PIN					(RB3)
#define LCD_BL_DIR					(TRISC2)	
#define LCD_BL_PIN					(RC2)

#define LCD_MIN_LINE				(1)
#define LCD_MAX_LINE				(8)
#define LCD_MIN_CHAR				(1)
#define LCD_MAX_CHAR				(21)
#define LCD_MIN_COLUMN				(1)
#define LCD_MAX_COLUMN				(128)
#define LCD_PIC_PAGE_NMBR			(0)
#define	LCD_PIC_COLUMN_NMBR			(1)
#define LCD_PIC_ADDRESS_OFFSET		(2)

#define ASCII_5X7_MIN				(0x20)
#define ASCII_5X7_MAX				(0x7F)

#define LCD_LINE_1					(1)
#define LCD_LINE_2					(2)
#define LCD_LINE_3					(3)
#define LCD_LINE_4					(4)
#define LCD_LINE_5					(5)
#define LCD_LINE_6					(6)
#define LCD_LINE_7					(7)
#define LCD_LINE_8					(8)



                /* ======================================= *
                 *            V A R I A B L E S            *
                 * ======================================= */


                /* ======================================= *
                 *  F U N C T I O N   P R O T O T Y P E S  *
                 * ======================================= */
void LcdInit(void);
void LcdOn(void);
void LcdOff(void);
void LcdSetPage(uint8 data);
void LcdSetColumn(uint8 data);
void LcdClearDisplay(void);
void LcdClearLine(uint8 line);
uint8 LcdSetCharCursor(uint8 line, uint8 ch_pos);
void LcdPutCh(uint8 ch);
void LcdPutInvCh(uint8 ch);
void LcdPutChar(uint8 line, uint8 ch_pos, uint8 ch);
void LcdWriteLine(uint8 line, uint8 * text);
uint8 LcdSetPictureCursor(uint8 page, uint8 column);
void LcdDrawPicture(const uint8 * picture);
#endif
