/*
** ============================================================================
**
** FILE
**  $Id: pictures.c,v 1.0 2007/09/06 krk Exp apache $
**
** DESCRIPTION
**  contains all the pictures used in the demo
**
** CREATED
**  Integration Hungary Ltd
**
** COPYRIGHT
**  Copyright 2006 Integration Associates Inc.  All rights reserved.
**
** Permission to use, copy, modify, revise, translate, abridge, condense, expand, collect,
** compile, link, recast, distribute, transform or adapt this software is granted only by 
** specific written license from Integration Associates Inc.  Contact Integration Associates 
** at 110 Pioneer Way, Unit L, Mountain View, California 94041, Attention Sales & Marketing, 
** or call (650) 969-4100 for information about obtaining a license.
** 
** Any copy or modification made must satisfy the following conditions:
** 
** 1. Both the copyright notice and this permission notice appear in all copies of the software, 
**    derivative works or modified versions, and any portions thereof, and that both notices 
**    appear in supporting documentation.
** 
** 2. All copies of the software shall contain the following acknowledgement: "Portions of this 
**    software are used under license from Integration Associates Inc. and are copyrighted."
** 
** 3. Neither the name of Integration Associates Inc. nor any of its subsidiaries may be used 
**    to endorse or promote products derived from this software without specific prior written 
**    permission.
** 
** THIS SOFTWARE IS PROVIDED BY "AS IS" AND ALL WARRANTIES OF ANY KIND, INCLUDING THE IMPLIED 
** WARRANTIES OF MERCHANTABILITY AND FITNESS FOR USE, ARE EXPRESSLY DISCLAIMED.  THE DEVELOPER 
** SHALL NOT BE LIABLE FOR ANY DAMAGES WHATSOEVER RESULTING FROM THE USE OF THIS SOFTWARE.  
** THIS SOFTWARE MAY NOT BE USED IN PRODUCTS INTENDED FOR USE IN IMPLANTATION OR OTHER DIRECT 
** LIFE SUPPORT APPLICATIONS WHERE MALFUNCTION MAY RESULT IN THE DIRECT PHYSICAL HARM OR INJURY 
** TO PERSONS.  ALL SUCH IS USE IS EXPRESSLY PROHIBITED.
**   
** ============================================================================
*/
#include "pic.h"

/** NOTE: the picture description arrays are generated by Fntcvtr.exe 
 **		  The first element of the array should be number of the vertical pixels / 8.	
 **		  The second element of the array should be the number of horizontal pixels.	
 **/

/*
FULL BATTERY ICON
	horizontal size is 8 pixels.
	vertical size is 8 pixels.
*/
const uint8 full_battery8x8[] = {
1,8,
'\x00',
'\x00',
'\x7c',
'\x7e',
'\x7e',
'\x7c',
'\x00',
'\x00'
}; 

/*
LOW BATTERY ICON
	horizontal size is 10 pixels.
	vertical size is 8 pixels.
*/
const uint8 low_battery8x8[] = {
1,10,
'\x00',
'\x00',
'\x7c',
'\x42',
'\x42',
'\x7c',
'\x00',
'\x00',
'\x5e',
'\x00'
}; 

/*
ANTANNA 1 ICON
	horizontal size is 13 pixels.
	vertical size is 8 pixels.
*/
const uint8 ant1_inverted13x8[] = {
1,13,
'\xff',
'\xfd',
'\xfb',
'\xf7',
'\x81',
'\xf7',
'\xfb',
'\xfd',
'\xff',
'\xf7',
'\xfb',
'\x81',
'\xff'
};

/*
ANTANNA 2 ICON
	horizontal size is 15 pixels.
	vertical size is 8 pixels.
*/
const uint8 ant2_inverted15x8[] = {
1,15,
'\xff',
'\xfd',
'\xfb',
'\xf7',
'\x81',
'\xf7',
'\xfb',
'\xfd',
'\xff',
'\x9b',
'\xad',
'\xad',
'\xad',
'\xb3',
'\xff'
};

/*
OK ICON
	horizontal size is 16 pixels.
	vertical size is 8 pixels.
*/
const uint8 ok_inverted16x8[] = {
1,16,
'\xff',
'\xff',
'\xc3',
'\xbd',
'\xbd',
'\xbd',
'\xc3',
'\xff',
'\xff',
'\x81',
'\xef',
'\xe7',
'\xdb',
'\xbd',
'\xff',
'\xff'
}; 

/*
RX ICON
	horizontal size is 16 pixels.
	vertical size is 8 pixels.
*/
const uint8 rx_inverted16x8[] = {
1,16,
'\xff',
'\xff',
'\x81',
'\xed',
'\xed',
'\xed',
'\x93',
'\xff',
'\xbd',
'\xdb',
'\xe7',
'\xe7',
'\xdb',
'\xbd',
'\xff',
'\xff'
}; 

/*
TX ICON
	horizontal size is 16 pixels.
	vertical size is 8 pixels.
*/
const uint8 tx_inverted16x8[] = {
1,16,
'\xff',
'\xff',
'\xfd',
'\xfd',
'\x81',
'\xfd',
'\xfd',
'\xff',
'\xbd',
'\xdb',
'\xe7',
'\xe7',
'\xdb',
'\xbd',
'\xff',
'\xff'
}; 

/*
TX ON ICON
	horizontal size is 29 pixels.
	vertical size is 8 pixels.
*/
const uint8 txon_inverted29x8[] = {
1,29,
'\xff',
'\xff',
'\x81',
'\xb5',
'\xb5',
'\xbd',
'\xff',
'\x81',
'\xed',
'\xed',
'\x93',
'\xff',
'\x81',
'\xed',
'\xed',
'\x93',
'\xff',
'\xc3',
'\xbd',
'\xbd',
'\xbd',
'\xc3',
'\xff',
'\x81',
'\xed',
'\xed',
'\x93',
'\xff',
'\xff'
};

/*
horizontal size is 32 pixels.
vertical size is 8 pixels.
*/
const uint8 txon_inverted32x8[] = {
1,32,
'\xff',
'\xfd',
'\xfd',
'\x81',
'\xfd',
'\xfd',
'\xff',
'\xbd',
'\xdb',
'\xe7',
'\xe7',
'\xdb',
'\xbd',
'\xff',
'\xff',
'\xff',
'\xff',
'\xff',
'\xff',
'\xc3',
'\xbd',
'\xbd',
'\xbd',
'\xc3',
'\xff',
'\x81',
'\xfb',
'\xf7',
'\xef',
'\xdf',
'\x81',
'\xff'
}; 

/*
TX OFF ICON

	horizontal size is 32 pixels.
	vertical size is 8 pixels.
*/
const uint8 txoff_inverted32x8[] = {
1,32,
'\xff',
'\xfd',
'\xfd',
'\x81',
'\xfd',
'\xfd',
'\xff',
'\xbd',
'\xdb',
'\xe7',
'\xe7',
'\xdb',
'\xbd',
'\xff',
'\xff',
'\xff',
'\xc3',
'\xbd',
'\xbd',
'\xbd',
'\xc3',
'\xff',
'\x81',
'\xf5',
'\xf5',
'\xfd',
'\xff',
'\x81',
'\xf5',
'\xf5',
'\xfd',
'\xff'
}; 

/*
SETTING ICON
	horizontal size is 48 pixels.
	vertical size is 8 pixels.
*/
const uint8 setting_inverted48x8[] = {
1,48,
'\xff',
'\xff',
'\xbb',
'\xb5',
'\xb5',
'\xb5',
'\xcd',
'\xff',
'\x81',
'\xb5',
'\xb5',
'\xbd',
'\xff',
'\xfd',
'\xfd',
'\x81',
'\xfd',
'\xfd',
'\xff',
'\xfd',
'\xfd',
'\x81',
'\xfd',
'\xfd',
'\xff',
'\x81',
'\xff',
'\x81',
'\xfb',
'\xf7',
'\xef',
'\xdf',
'\x81',
'\xff',
'\xc3',
'\xbd',
'\xbd',
'\xad',
'\xcf',
'\xff',
'\xbb',
'\xb5',
'\xb5',
'\xb5',
'\xcd',
'\xff',
'\xff',
'\xff'
};  

/*
MINUS ICON
	horizontal size is 16 pixels.
	vertical size is 8 pixels.
*/
const uint8 minus_inverted16x8[] = {
1,16,
'\xff',
'\xff',
'\xff',
'\xff',
'\xff',
'\xe7',
'\xe7',
'\xe7',
'\xe7',
'\xe7',
'\xe7',
'\xff',
'\xff',
'\xff',
'\xff',
'\xff'
}; 

/*
PLUS ICON
	horizontal size is 16 pixels.
	vertical size is 8 pixels.
*/
const uint8  plus_inverted16x8[] = {
1,16,
'\xff',
'\xff',
'\xff',
'\xff',
'\xff',
'\xe7',
'\xe7',
'\x81',
'\x81',
'\xe7',
'\xe7',
'\xff',
'\xff',
'\xff',
'\xff',
'\xff'
}; 

/*
UP_DOWN ICON
	horizontal size is 16 pixels.
	vertical size is 8 pixels.
*/
const uint8 up_down_inverted16x8[] = {
1,16,
'\xff',
'\xff',
'\xf7',
'\xf3',
'\x81',
'\xf3',
'\xf7',
'\xff',
'\xff',
'\xef',
'\xcf',
'\x81',
'\xcf',
'\xef',
'\xff',
'\xff'
}; 

/*
GO ICON
	horizontal size is 16 pixels.
	vertical size is 8 pixels.
*/
const uint8 go_inverted16x8[] = {
1,16,
'\xff',
'\xff',
'\xc3',
'\xbd',
'\xbd',
'\xad',
'\xcf',
'\xff',
'\xff',
'\xc3',
'\xbd',
'\xbd',
'\xbd',
'\xc3',
'\xff',
'\xff'
}; 

/*
IAI LOGO
	horizontal size is 128 pixels.
	vertical size is 16 pixels.
*/
const uint8 iai_logo128x16[] = {
2,128,
'\x00','\x00',
'\x00','\x00',
'\xf6','\x7f',
'\xf6','\x7f',
'\x16','\x78',
'\x86','\x61',
'\xa2','\x45',
'\xb0','\x0d',
'\xb4','\x2d',
'\xb6','\x6d',
'\xb6','\x6d',
'\xb6','\x6d',
'\xb6','\x6d',
'\x00','\x00',
'\xf6','\x7f',
'\xf6','\x7f',
'\xf6','\x7f',
'\x00','\x00',
'\x00','\x00',
'\x00','\x00',
'\x00','\x00',
'\x02','\x00',
'\xfe','\x7f',
'\xfe','\x7f',
'\x02','\x00',
'\x00','\x00',
'\x00','\x00',
'\x02','\x40',
'\xfe','\x7f',
'\x0e','\x00',
'\x38','\x00',
'\xe0','\x00',
'\x80','\x03',
'\x00','\x0e',
'\x00','\x38',
'\xfe','\x7f',
'\xfe','\x7f',
'\x02','\x00',
'\x00','\x00',
'\x06','\x00',
'\x02','\x00',
'\x02','\x00',
'\x02','\x00',
'\xfe','\x7f',
'\xfe','\x7f',
'\x02','\x00',
'\x02','\x00',
'\x02','\x00',
'\x06','\x00',
'\x00','\x00',
'\xfe','\x7f',
'\xfe','\x7f',
'\x82','\x40',
'\x82','\x40',
'\x82','\x40',
'\x02','\x40',
'\x06','\x60',
'\x00','\x00',
'\xe0','\x07',
'\x18','\x18',
'\x04','\x20',
'\x02','\x40',
'\x02','\x40',
'\x02','\x40',
'\x02','\x40',
'\x02','\x40',
'\x84','\x20',
'\x88','\x1f',
'\xb0','\x1f',
'\x00','\x00',
'\x00','\x40',
'\xfe','\x7f',
'\xfe','\x7f',
'\x02','\x01',
'\x02','\x01',
'\x02','\x07',
'\x02','\x1d',
'\x84','\x70',
'\x78','\x40',
'\x00','\x00',
'\x00','\x40',
'\x00','\x78',
'\x80','\x0f',
'\x70','\x04',
'\x0c','\x04',
'\x06','\x04',
'\x0c','\x04',
'\x70','\x04',
'\x80','\x0f',
'\x06','\x78',
'\x02','\x40',
'\x02','\x00',
'\x02','\x00',
'\xfe','\x7f',
'\xfe','\x7f',
'\x02','\x00',
'\x02','\x00',
'\x02','\x00',
'\x06','\x00',
'\x00','\x00',
'\x02','\x00',
'\xfe','\x7f',
'\xfe','\x7f',
'\x02','\x00',
'\x00','\x00',
'\xf0','\x0f',
'\x08','\x10',
'\x04','\x20',
'\x02','\x40',
'\x02','\x40',
'\x02','\x40',
'\x02','\x40',
'\x04','\x20',
'\x08','\x10',
'\xf0','\x0f',
'\x00','\x00',
'\x02','\x40',
'\xfe','\x7f',
'\x0e','\x00',
'\x38','\x00',
'\xe0','\x00',
'\x80','\x03',
'\x00','\x0e',
'\x00','\x38',
'\xfe','\x7f',
'\xfe','\x7f',
'\x02','\x00',
'\x00','\x00',
'\x00','\x00',
}; 

