/*
** ============================================================================
**
** FILE
**  $Id: uart.h,v 1.0 2007/06/20 krk Exp apache $
**
** DESCRIPTION
**  Header file for the UART functions.
**
** CREATED
**  Integration Hungary Ltd
**
** COPYRIGHT
**  Copyright 2006 Integration Associates Inc.  All rights reserved.
**
** Permission to use, copy, modify, revise, translate, abridge, condense, expand, collect,
** compile, link, recast, distribute, transform or adapt this software is granted only by 
** specific written license from Integration Associates Inc.  Contact Integration Associates 
** at 110 Pioneer Way, Unit L, Mountain View, California 94041, Attention Sales & Marketing, 
** or call (650) 969-4100 for information about obtaining a license.
** 
** Any copy or modification made must satisfy the following conditions:
** 
** 1. Both the copyright notice and this permission notice appear in all copies of the software, 
**    derivative works or modified versions, and any portions thereof, and that both notices 
**    appear in supporting documentation.
** 
** 2. All copies of the software shall contain the following acknowledgement: "Portions of this 
**    software are used under license from Integration Associates Inc. and are copyrighted."
** 
** 3. Neither the name of Integration Associates Inc. nor any of its subsidiaries may be used 
**    to endorse or promote products derived from this software without specific prior written 
**    permission.
** 
** THIS SOFTWARE IS PROVIDED BY "AS IS" AND ALL WARRANTIES OF ANY KIND, INCLUDING THE IMPLIED 
** WARRANTIES OF MERCHANTABILITY AND FITNESS FOR USE, ARE EXPRESSLY DISCLAIMED.  THE DEVELOPER 
** SHALL NOT BE LIABLE FOR ANY DAMAGES WHATSOEVER RESULTING FROM THE USE OF THIS SOFTWARE.  
** THIS SOFTWARE MAY NOT BE USED IN PRODUCTS INTENDED FOR USE IN IMPLANTATION OR OTHER DIRECT 
** LIFE SUPPORT APPLICATIONS WHERE MALFUNCTION MAY RESULT IN THE DIRECT PHYSICAL HARM OR INJURY 
** TO PERSONS.  ALL SUCH IS USE IS EXPRESSLY PROHIBITED.
**   
** ============================================================================
*/

#ifndef UART_H
#define UART_H

#include "PIC.h"

                /* ======================================= *
                 *     T Y P E   D E C L A R A T I O N     *
                 * ======================================= */


                /* ======================================= *
                 *           P A R A M E T E R S           *
                 * ======================================= */


                /* ======================================= *
                 *          D E F I N I T I O N S          *
                 * ======================================= */
#define		EnableUartRxIt()	RCIE = 1	
#define		DisableUartRxIt()	RCIE = 0

#define		UART_TX_PIN		(RC6)
#define		UART_TX_DIR		(TRISC6)
#define		UART_RX_PIN		(RC7)
#define		UART_RX_DIR		(TRISC7)

//definitions for the TXSTA register
#define		UART_ASYNCHRON	(0x00)
#define		UART_TX_8BIT	(0x00)
#define		UART_TX_ENABLE	(0x20)
#define 	UART_HIGH_BAUD	(0x04)
#define		UART_LOW_BAUD	(0x00)

//definitions for the RXSTA register
#define 	UART_ENABLE		(0x80)
#define		UART_RX_8BIT	(0x00)
#define		UART_RX_ENABLE	(0x10)

//definitions for BAUDCON register
#define		UART_16BIT_BAUD	(0x08)
#define		UART_8BIT_BAUD	(0x00)
#define		UART_RX_WAKE_EN	(0x02)
#define		UART_AUTO_BAUD	(0x01)

//definition for the UART routines
#define 	UART_RX_BUFFER_SIZE	(32)
#define		MESSAGE_END			(13)	
#define		CHAR_BACKSPACE		(8)
#define  	CHAR_LF				(10)

                /* ======================================= *
                 *            V A R I A B L E S            *
                 * ======================================= */


                /* ======================================= *
                 *  F U N C T I O N   P R O T O T Y P E S  *
                 * ======================================= */
void UartInit(void);
void UartRxISR(void);
void putch(char ch);
void UartCommandInterpreter(void);
void PrintHelp(void);
#endif
